package com.mgh.pmdm.u1_cpe5_contadorintents

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Button
import android.widget.TextView

class MainActivity : AppCompatActivity() {

    var contador=0

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        setContentView(R.layout.activity_main)

        // Referencia al TextView
        // val textViewContador=findViewById<TextView>(R.id.textViewContador)
        val textViewContador:TextView=findViewById(R.id.textViewContador)

        // Inicializamos el TextView con el contador a 0
        textViewContador.setText(contador.toString())

        // Referencia al botón
        val btAdd=findViewById<Button>(R.id.btAdd)

        // Asociaciamos una expresióin lambda como
        // respuesta (callback) al evento Clic sobre
        // el botón
        btAdd.setOnClickListener {
            contador++
            textViewContador.setText(contador.toString())
        }

        // Localizamos el botón de abrir la nueva actividad
        val btNewActivity=findViewById<Button>(R.id.btNewActivity)

        // Y le asociamos el gestor de eventos para el clic
        // Creando una intent que abra la actividad
        btNewActivity.setOnClickListener{
            val intent = Intent(baseContext, MostrarContador::class.java)
            intent.putExtra("contador", contador)
            startActivity(intent)
        }

    }

    // Métodos para guardar y restaurar el estado de la aplicación
    // Mediante el objeto de tipo Bundle.

    override fun onSaveInstanceState(estadoAGuardar: Bundle) {
        super.onSaveInstanceState(estadoAGuardar)
        estadoAGuardar.putInt("CONTADOR", contador)
    }

    override fun onRestoreInstanceState(estadoARestaurar: Bundle) {
        super.onRestoreInstanceState(estadoARestaurar)
        contador=estadoARestaurar.getInt("CONTADOR")

        val textViewContador:TextView=findViewById(R.id.textViewContador)
        textViewContador.setText(contador.toString())

    }

}